%define haveorbit 1
%define pyorbit 2.0.1
%define pygtk 2.10.3

Summary: The sources for the PyGNOME Python extension module
Name: gnome-python
Version: 2.18.0
Release: %mkrel 1
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-python/gnome-python-%{version}.tar.bz2
URL: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-python/
License: LGPL
Group: Development/GNOME and GTK+
BuildRoot: %{_tmppath}/gnome-python-root
BuildRequires: pygtk2.0-devel >= %pygtk
BuildRequires: python-devel >= 2.2
BuildRequires: libgtk+2-devel >= 2.0.0
BuildRequires: libgnome2-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libgnomecanvas2-devel
BuildRequires: libbonoboui2-devel
BuildRequires: libGConf2-devel >= 2.11.1
BuildRequires: avahi-glib-devel avahi-client-devel
BuildRequires: autoconf2.5 automake1.9
Requires: pygtk2.0 >= %pygtk
%if %{haveorbit}
Requires: %name-bonobo
BuildRequires: pyorbit-devel >= %pyorbit
%endif

%description
The gnome-python package contains the source packages for the Python
bindings for GNOME called PyGNOME.

PyGNOME is an extension module for Python that provides access to the
base GNOME libraries, so you have access to more widgets, a simple
configuration interface, and metadata support.

%package capplet
Version: %{version}
Summary: Python bindings for GNOME Panel applets
Group: Development/GNOME and GTK+

%description capplet
This module contains a wrapper that allows GNOME Control Center
capplets to be in Python.

%package canvas
Version: %{version}
Summary: Python bindings for the GNOME Canvas
Group: Development/GNOME and GTK+
Requires: libgnomecanvas2 >= 2.0.0
Requires: pygtk2.0 >= %pygtk
Requires: %name = %version-%release

%description canvas
This module contains a wrapper that allows use of the GNOME Canvas
in Python.

%package bonobo
Version: %{version}
Summary: Python bindings for interacting with bonobo
Group: Development/GNOME and GTK+
Requires: %name-canvas = %version-%release
Requires: pyorbit >= %pyorbit
Requires: libbonoboui2 >= 2.0.0

%description bonobo
This module contains a wrapper that allows the creation of bonobo
components and the embedding of bonobo components in Python.

%package gconf
Version: %{version}
Summary: Python bindings for interacting with GConf
Group: Development/GNOME and GTK+
Requires: GConf2 >= 1.1.10

%description gconf
This module contains a wrapper that allows the use of GConf via Python.

%package gnomevfs
Version: %{version}
Summary: Python bindings for interacting with gnome-vfs
Group: Development/GNOME and GTK+
Requires: gnome-vfs2 >= 2.0.2

%description gnomevfs
This module contains a wrapper that allows the use of gnome-vfs via python.

%prep
%setup -q -n gnome-python-%{version}

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

%clean
rm -rf %buildroot

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%defattr(755,root,root,755)
%dir %py_platsitedir/gtk-2.0/gnome/
%py_platsitedir/gtk-2.0/gnome/__init__.*
%py_platsitedir/gtk-2.0/gnome/_gnome.so
%if %{haveorbit}
%py_platsitedir/gtk-2.0/gnome/ui.so
%endif
%{_libdir}/pkgconfig/gnome-python-2.0.pc
%dir %{_datadir}/pygtk/2.0/defs
%{_datadir}/pygtk/2.0/defs/*.defs
%{_datadir}/pygtk/2.0/argtypes

%if %{haveorbit}
%files canvas
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/gnome/canvas.*
%py_platsitedir/gtk-2.0/gnomecanvas.so
%defattr(644,root,root,755)
%doc examples/canvas
%endif


%if %{haveorbit}
%files bonobo
%defattr(755,root,root,755)
%dir %py_platsitedir/gtk-2.0/bonobo/
%py_platsitedir/gtk-2.0/bonobo/__init__.*
%py_platsitedir/gtk-2.0/bonobo/*.so
%defattr(644,root,root,755)
%doc examples/bonobo
%endif

%files gconf
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/gconf*
%defattr(644,root,root,755)
%doc examples/gconf

%files gnomevfs
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/gnome/vfs*
%py_platsitedir/gtk-2.0/gnomevfs
%{_libdir}/gnome-vfs-2.0/modules/libpythonmethod.so
%{_includedir}/gnome-python-2.0/pygnomevfs.h
%{_includedir}/gnome-python-2.0/pygnomevfsbonobo.h
%defattr(644,root,root,755)
%doc examples/vfs


%changelog
* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141949
- new version

* Sun Feb 25 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 125670
- new version

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 106022
- new version

* Sun Jan 07 2007 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 105300
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-3mdv2007.1
+ Revision: 88192
- bump release
- fix buildrequires
- rebuild

* Mon Nov 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 76838
- mkrel
- Import gnome-python



* Sun Nov  5 2006 Gtz Waschk <waschk@mandriva.org> 2.16.2-1
- bump deps
- New version 2.16.2

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New version 2.16.0

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Tue Jul 25 2006 Gtz Waschk <waschk@mandriva.org> 2.15.90-1mdv2007.0
- update file list
- New release 2.15.90

* Thu Jul 13 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- drop the patch
- New release 2.15.4

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-3mdv2007.0
- fix the patch (Oops!)

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-2mdv2007.0
- fix build with new gnome-vfs/libbonobo

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1
- New release 2.15.3

* Mon Jun 12 2006 Götz Waschk <waschk@mandriva.org> 2.15.2-1mdv2007.0
- New release 2.15.2

* Tue Jun  6 2006 Gtz Waschk <waschk@mandriva.org> 2.15.1-1mdv2007.0
- drop the patch, it is obsolete
- New release 2.15.1

* Sun Mar 12 2006 Götz Waschk <waschk@mandriva.org> 2.12.4-1mdk
- New release 2.12.4

* Thu Dec 22 2005 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3
- use mkrel

* Thu Dec 01 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Thu Oct 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-2mdk
- Fix buildrequires

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdk
- Release 2.12.0

* Sat Apr 23 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.10.0-2mdk
- add some gnome buildrequires

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk 
- Release 2.10.0 (based on Gtz Waschk package)
- drop nautilus, gnomeprint, gtkhtml, applet subpackages

* Mon Dec 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- New release 2.6.2

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 2.6.1-2mdk
- Rebuild for new python

* Tue Nov 16 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- New release 2.6.1

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0-1mdk
- requires new pygtk
- remove all zvt references
- drop patch 0
- New release 2.6.0

* Sun Aug  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.3-1mdk
- fix source URL
- New release 2.0.3

* Thu May 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.2-3mdk
- fix deps

* Tue Apr 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.2-2mdk
- fix buildrequires

* Tue Apr  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.2-1mdk
- really disable zvt
- new version

* Fri Jan 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-3mdk
- disable zvt wrapper

* Mon Sep  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-2mdk
- fix buildrequires
- bonobo package requires canvas

* Thu Sep  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-1mdk
- requires new pyorbit
- requires new pygtk2.0
- new version

* Wed Aug 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.18-1mdk
- fix file list
- make the main package require pygtk2.0
- requires new pygtk2.0, pyorbit
- drop merged patch 0
- new version

* Fri Aug  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.16-9mdk
- new python

* Tue Aug  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.16-8mdk
- remove vfsmodule from main package

* Sat Aug  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.16-7mdk
- fix file conflicts, add requirements

* Wed Jul 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.16-6mdk
- patch from Olivier Blin <oliv.blin@laposte.net> :
 - provide bonobo.ui.ui_util_pixbuf_to_xml function 

* Sun Jul 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.16-5mdk
- rebuild for new ORBit2 

* Fri May 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.16-4mdk
- remove a useless conditional 
- do it right, really remove redundant deps

* Fri May 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.16-3mdk
- remove bonobo-activation dep, not required anymore

* Fri May  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.16-2mdk
- fix directory ownership

* Mon Mar 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.16-1mdk
- don't use the configure macro 
- fix deps
- new version

* Thu Feb 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.15-1mdk
- initial package ripped from Rawhide

* Thu Feb  6 2003 Matt Wilson <msw@redhat.com> 1.99.14-5
- added a trigger to remove left-over bonobo .pyc and .pyo files (#79652)

* Thu Feb  6 2003 Mihai Ibanescu <misa@redhat.com> 1.99.14-4
- rebuilt against new python

* Tue Jan 28 2003 Jeremy Katz <katzj@redhat.com> 1.99.14-3
- libdir-ify

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 27 2002 Jeremy Katz <katzj@redhat.com> 1.99.14-1
- update to 1.99.14

* Fri Dec 13 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.99.13
- add gnomevfs subpackage

* Thu Oct 31 2002 Matt Wilson <msw@redhat.com>
- use %%configure

* Wed Oct 30 2002 Matt Wilson <msw@redhat.com>
- add gnome-python-2.0.pc to file list

* Wed Aug 28 2002 Matt Wilson <msw@redhat.com>
- bind gnome_client_set_*_command

* Wed Aug 28 2002 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Aug 20 2002 Matt Wilson <msw@redhat.com>
- obsolete pygtk-applet (#69830)

* Thu Aug  1 2002 Jonathan Blandford <jrb@redhat.com>
- make the GnomeDruid's fields accessible from python

* Tue Jul 30 2002 Matt Wilson <msw@redhat.com>
- official 1.99.11 release

* Thu May 30 2002 Matt Wilson <msw@redhat.com>
- s/Gconf/GConf/

* Thu May 30 2002 Jeremy Katz <katzj@redhat.com>
- add gtkhtml2 and gconf subpackages

* Wed May 29 2002 Bill Nottingham <notting@redhat.com>
- add some defattrs

* Fri May 24 2002 Matt Wilson <msw@redhat.com>
- added bonobo, nautilus subpackages.  re-enabled applet subpackage

* Mon Nov 26 2001 Matt Wilson <msw@redhat.com>
- subpackages will need __init__ included in them

* Thu Oct 18 2001 Matt Wilson <msw@redhat.com>
- doesn't obsolete pygnome - it can be installed side-by-side
- added _gnomemodule.so to base package filelist

* Mon Oct 15 2001 Matt Wilson <msw@redhat.com>
- added __init__ files to gnome-python main package

* Mon Oct  8 2001 Matt Wilson <msw@redhat.com>
- new gnome-python package based on old pygtk package.
